#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3, 4, 5};//1 2 2 1 3
}

int getMove1d(std::vector<int> v)
{
    int nr, x;
    nr = v.size();
    //nr este 2 * x + 1
    x = (nr - 1) / 2;
    if (x == 1) {
        return 2;
    } else if (x == 2) {
        return 4;
    } else if (x == 3) {
        return 6;
    } else if (x == 4) {
        return 3;
    } else if (x == 5) {
        return 2;
    }
    //return {nr - 1};
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
